Comment 3 for bug 907452

What version are you using? I have implemented checks so that one cannot remove itself from the admin group if he's the last admin years ago. Could you check they don't work?

Anyway, Ubuntu doesn't use the gnome-system-tools by default anymore, so maybe you think about gnome-control-center?